Dell EMC backends broken due to obsolete driver paths

Bug #1785085 reported by Alan Bishop on 2018-08-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-cinder
Undecided
Alan Bishop

Bug Description

Several Dell EMC backends are still referencing legacy driver paths. The old paths used to work because Cinder provides a way of mapping old-to-new driver paths, but the Dell EMC mappings were purged during Rocky [1].

[1] https://review.openstack.org/544708

The following Dell EMC backends need to be updated to specify the current driver location:

- Dell SC
- EMC VMAX
- EMC VNX
- EMC Xtremio

Changed in puppet-cinder:
assignee: nobody → Alan Bishop (alan-bishop)

Fix proposed to branch: master
Review: https://review.openstack.org/588340

Changed in puppet-cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/588340
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=d392d17c43b3ef9819839ed0276750ce46db9d24
Submitter: Zuul
Branch: master

commit d392d17c43b3ef9819839ed0276750ce46db9d24
Author: Alan Bishop <email address hidden>
Date: Thu Aug 2 12:52:20 2018 -0400

    Update several Dell EMC driver paths

    Update the driver paths for following Dell EMC backends:
    - Dell SC
    - EMC VMAX
    - EMC VNX
    - EMC Xtremio

    Closes-Bug: #1785085
    Change-Id: I1626c3892e23d54f75ad5550b625cc04bfa1a4d5

Changed in puppet-cinder:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-cinder 13.3.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers